org.richfaces.component

## Enum AutocompleteLayout

- java.lang.Object
- - java.lang.Enum<AutocompleteLayout>
  - - org.richfaces.component.AutocompleteLayout

- All Implemented Interfaces:
    Serializable, Comparable<AutocompleteLayout>

      public enum AutocompleteLayout
      extends Enum<AutocompleteLayout>

  Author:
    Nick Belaevski

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `div`
    `grid`
    `list`
    `table`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AutocompleteLayout` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AutocompleteLayout[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### table

          public static final AutocompleteLayout table

    - #### list

          public static final AutocompleteLayout list

    - #### grid

          public static final AutocompleteLayout grid

    - #### div

          public static final AutocompleteLayout div

  - ### Method Detail

    - #### values

          public static AutocompleteLayout[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutocompleteLayout c : AutocompleteLayout.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutocompleteLayout valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.